From 47826dca27bd6cb86d83e5f39f688afd5d887e34 Mon Sep 17 00:00:00 2001
From: Markus Schlichting <markus.schlichting@canoo.com>
Date: Tue, 20 Jul 2010 09:13:16 +0200
Subject: [PATCH] Patch for JavaDocOptionsFile and test (JIRA #1015)

---
 .../external/javadoc/JavadocOfflineLink.java       |   34 ++++++++++----------
 .../LinksOfflineJavadocOptionFileOptionTest.java   |    2 +-
 2 files changed, 18 insertions(+), 18 deletions(-)

diff --git a/subprojects/gradle-plugins/src/main/groovy/org/gradle/external/javadoc/JavadocOfflineLink.java b/subprojects/gradle-plugins/src/main/groovy/org/gradle/external/javadoc/JavadocOfflineLink.java
index 0e33aae..be86bb1 100755
--- a/subprojects/gradle-plugins/src/main/groovy/org/gradle/external/javadoc/JavadocOfflineLink.java
+++ b/subprojects/gradle-plugins/src/main/groovy/org/gradle/external/javadoc/JavadocOfflineLink.java
@@ -1,19 +1,19 @@
-/*
- * Copyright 2009 the original author or authors.
- *
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *      http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- */
-
+/*
+ * Copyright 2009 the original author or authors.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
 package org.gradle.external.javadoc;
 
 
@@ -41,6 +41,6 @@ public class JavadocOfflineLink {
     }
 
     public String toString() {
-        return extDocUrl + " " + packagelistLoc;
+        return extDocUrl + "' '" + packagelistLoc;
     }
 }
diff --git a/subprojects/gradle-plugins/src/test/groovy/org/gradle/external/javadoc/optionfile/LinksOfflineJavadocOptionFileOptionTest.java b/subprojects/gradle-plugins/src/test/groovy/org/gradle/external/javadoc/optionfile/LinksOfflineJavadocOptionFileOptionTest.java
index d4b9eac..4a6664f 100644
--- a/subprojects/gradle-plugins/src/test/groovy/org/gradle/external/javadoc/optionfile/LinksOfflineJavadocOptionFileOptionTest.java
+++ b/subprojects/gradle-plugins/src/test/groovy/org/gradle/external/javadoc/optionfile/LinksOfflineJavadocOptionFileOptionTest.java
@@ -56,7 +56,7 @@ public class LinksOfflineJavadocOptionFileOptionTest {
         linksOfflineOption.getValue().add(new JavadocOfflineLink(extDocUrl, packageListLoc));
 
         context.checking(new Expectations() {{
-            one(writerContextMock).writeValueOption(optionName, extDocUrl + " " + packageListLoc);
+            one(writerContextMock).writeValueOption(optionName, extDocUrl + "' '" + packageListLoc);
         }});
 
         linksOfflineOption.write(writerContextMock);
-- 
1.7.0.4

